import request from '@/utils/request';

// 人员信息发送
function SendUser (data: any) {
    return request({
        url: `/api/xinghan/device/registerPersonInfo`,
        method: 'post',
        data: data
    });
};

// 灯光模式
function lightModeSettings (data: any) {
    return request({
        url: `/api/xinghan/device/LightGradeSettings`,
        method: 'post',
        data: data
    });
};

// 强制报警
function SosSetting  (data: any) {
    return request({
        url: `/api/xinghan/device/SOSGradeSettings`,
        method: 'post',
        data: data
    });
};
//批量强制报警
function SosSettingBatch(data:any){
     return request({
        url: `/api/xinghan/device/SOSGradeSettingsBatch`,
        method: 'post',
        data: data
    });
}

//静电探测档位控制
function staticPowerSetting  (data: any)  {
    return request({
        url: `/api/xinghan/device/DetectGradeSettings`,
        method: 'post',
        data: data
    });
};

// 获取设备实时状态
function deviceRealTimeStatus  (id: any)  {
    return request({
        url: `/api/xinghan/device/`+id,
        method: 'get'        
    });
};

// 发送信息
function SendMessage  (data: any)  {
    return request({
        url: `/api/xinghan/device/sendAlarmMessage`,
        method: 'post',
        data: data
    });
};




export default {
   SendUser:SendUser,
   lightModeSettings:lightModeSettings,
   SosSetting:SosSetting,
   staticPowerSetting:staticPowerSetting,
   deviceRealTimeStatus:deviceRealTimeStatus,
   SendMessage:SendMessage,
   SosSettingBatch:SosSettingBatch
};